org.apache.fop.render.pdf

## Class PDFSVGHandler

- java.lang.Object
- - org.apache.fop.render.AbstractGenericSVGHandler
  - - org.apache.fop.render.pdf.PDFSVGHandler

All Implemented Interfaces:
  PDFRendererContextConstants, RendererContextConstants, XMLHandler

    public class PDFSVGHandler
    extends AbstractGenericSVGHandler
    implements PDFRendererContextConstants

PDF XML handler for SVG (uses Apache Batik). This handler handles XML for foreign objects when rendering to PDF. It renders SVG to the PDF document using the PDFGraphics2D. The properties from the PDF renderer are subject to change.

### Nested Class Summary

Nested Classes
`static class` `PDFSVGHandler.PDFInfo` PDF information structure for drawing the XML document.

### Field Summary

### Fields inherited from interface org.apache.fop.render.pdf.PDFRendererContextConstants

`PDF_CONTEXT, PDF_DOCUMENT, PDF_FONT_INFO, PDF_FONT_NAME, PDF_FONT_SIZE, PDF_PAGE, PDF_STREAM`

### Fields inherited from interface org.apache.fop.render.RendererContextConstants

`FOREIGN_ATTRIBUTES, HANDLER_CONFIGURATION, HEIGHT, OUTPUT_STREAM, PAGE_VIEWPORT, WIDTH, XPOS, YPOS`

### Fields inherited from interface org.apache.fop.render.XMLHandler

`HANDLE_ALL`

### Constructor Summary

Constructors
Constructor and Description
`PDFSVGHandler()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static PDFSVGHandler.PDFInfo` `getPDFInfo(RendererContext context)` Get the pdf information from the render context.
`boolean` `supportsRenderer(Renderer renderer)` Checks if this XMLHandler supports handling an XML namespace for a particular renderer.

### Methods inherited from class org.apache.fop.render.AbstractGenericSVGHandler

`buildGraphicsNode, createGraphics2DImagePainter, getDocumentURI, getImageSize, getNamespace, handleXML, renderSVGDocument, updateRendererContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDFSVGHandler

    public PDFSVGHandler()

### Method Detail

#### getPDFInfo

    public static PDFSVGHandler.PDFInfo getPDFInfo(RendererContext context)

Get the pdf information from the render context.

Parameters:
  `context` - the renderer context
Returns:
  the pdf information retrieved from the context

#### supportsRenderer

    public boolean supportsRenderer(Renderer renderer)

Checks if this XMLHandler supports handling an XML namespace for a particular renderer.

Specified by:
  `supportsRenderer` in interface `XMLHandler`
Parameters:
  `renderer` - the renderer for which to check.
Returns:
  true if this XML handler supports a particular renderer